Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160661 - RFE: network configuration supporting IPv6
Summary: RFE: network configuration supporting IPv6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2005-06-16 14:09 UTC by Daniel Roesen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-17 14:57:21 UTC


Attachments (Terms of Use)

Description Daniel Roesen 2005-06-16 14:09:20 UTC
I'd like to see full IPv6 support in Anaconda's network configuration. That
means:

per interface chosing, wether:
- no IPv6
- stateless autoconfig
- DHCPv6
- static config

and globally:
- DNS resolvers (if static/autoconfig, or overriding DHCPv6)
- default gateway

Comment 1 Jeremy Katz 2005-06-16 20:29:11 UTC
It's something we can consider, but realistically, it's the sort of thing that
will move along quicker if someone with the interest steps up to start working
on it.  We can help in providing guidance on how to go about it on
anaconda-devel-list in response to specific questions.

I'll add this to my list of possible FC5 targets, though, to try to help getting
someone interested.

Comment 2 Daniel Roesen 2005-06-16 20:33:51 UTC
Excellent. If this will need testing, count me in. Gives me a reason to install
DHCPv6 server. :-P Don't have time to do any development, nor am I Python
knowledgable... :-(

Comment 3 Curtis Doty 2005-06-17 03:20:18 UTC
As close as I've come is a brutish way to turn it *off* using kickstart.

%post
/bin/echo '
# disable IPV6 for now
alias net-pf-10 off
' >>/etc/modprobe.conf

Is there not a more elegant way for even the removal?

Comment 4 David Cantrell 2006-07-17 14:57:21 UTC
I'm closing this since we're actively implementing IPv6 support in anaconda in
rawhide so it can be included in FC6.


Note You need to log in before you can comment on or make changes to this bug.